### Hierarchy

- unknown
  - GetFundingAddressesRequest

## Index

### Constructors

- constructor

### Methods

- serializeBinary
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetFundingAddressesRequest(): GetFundingAddressesRequest

- Inherited from jspb.Message.constructor

  #### Returns GetFundingAddressesRequest

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3548

  #### Returns Uint8Array

### toObject

- toObject(includeInstance?: boolean): GetFundingAddressesRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3549

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetFundingAddressesRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetFundingAddressesRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3552

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetFundingAddressesRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetFundingAddressesRequest, reader: BinaryReader): GetFundingAddressesRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3553

  #### Parameters

  - ##### message: GetFundingAddressesRequest

  - ##### reader: BinaryReader

  #### Returns GetFundingAddressesRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetFundingAddressesRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3551

  #### Parameters

  - ##### message: GetFundingAddressesRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetFundingAddressesRequest ): GetFundingAddressesRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3550

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetFundingAddressesRequest

  #### Returns GetFundingAddressesRequest . AsObject

Generated using TypeDoc